View Issue Details

IDProjectCategoryView StatusLast Update
0002551Far ManagerMacropublic2014-01-13 01:04
ReporterJohnDoeAssigned Toshmuel 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002551: Object.Height/Width не работают в меню
DescriptionПри вызове в меню Object.Height и Object.Width всегда возвращается 2
Steps To Reproducelm:post Keys"F11" msgbox(Object.Width,Far.Width)
Additional InformationHeight и Width почему-то не документированы в Энциклопедии
TagsNo tags attached.
Build3766

Activities

JohnDoe

2014-01-01 21:49

updater   bugnote:0011615

Как получить информацию о координатах меню через LuaFAR я не нашёл.
Диалоговое API в данном случае не работает: DM_GETDLGRECT возвращает {Bottom=0,Left=-1,Right=0,Top=-1}

shmuel

2014-01-01 23:26

developer   bugnote:0011616

Для информации:
Object.Height и Object.Width раньше работали для меню; сломались в билде 3153.

shmuel

2014-01-02 00:48

developer   bugnote:0011617

Ещё для информации:
DM_GETDLGRECT также сломался в билде 3153.

JohnDoe

2014-01-11 00:53

updater   bugnote:0011621

Похоже DM_GETITEMPOSITION возвращает искомые координаты

shmuel

2014-01-11 01:35

developer   bugnote:0011622

> Похоже DM_GETITEMPOSITION возвращает искомые координаты

Выжил после 3153 :)

JohnDoe

2014-01-11 22:16

updater   bugnote:0011623

Нет, DM_GETITEMPOSITION не подходит, т.к. возвращает координаты листбокса относительно самого окна диалога...

shmuel

2014-01-12 01:47

developer   bugnote:0011629

3766.

JohnDoe

2014-01-12 23:46

updater   bugnote:0011639

Порядок!

Issue History

Date Modified Username Field Change
2014-01-01 21:33 JohnDoe New Issue
2014-01-01 21:49 JohnDoe Note Added: 0011615
2014-01-01 23:26 shmuel Note Added: 0011616
2014-01-02 00:48 shmuel Note Added: 0011617
2014-01-11 00:53 JohnDoe Note Added: 0011621
2014-01-11 01:35 shmuel Note Added: 0011622
2014-01-11 22:16 JohnDoe Note Added: 0011623
2014-01-12 01:47 shmuel Note Added: 0011629
2014-01-12 01:47 shmuel Assigned To => shmuel
2014-01-12 01:47 shmuel Status new => feedback
2014-01-12 23:46 JohnDoe Note Added: 0011639
2014-01-12 23:46 JohnDoe Status feedback => assigned
2014-01-12 23:46 JohnDoe Status assigned => resolved
2014-01-13 01:04 shmuel Build => 3766
2014-01-13 01:04 shmuel Status resolved => closed
2014-01-13 01:04 shmuel Resolution open => fixed
2014-01-13 01:04 shmuel Fixed in Version => 3.0